local SkiResortManager_update = SkiResortManager.update;
local openingHour = 6;
local closingHour = 17;

function SkiResortManager:update(dt)
    if g_currentMission ~= nil then
        local currentHour = g_currentMission.environment.currentHour;

        -- change current hour to change opening hours
        if closingHour > openingHour then
            if g_currentMission.environment.currentHour >= openingHour and g_currentMission.environment.currentHour < closingHour then
                -- force to open hours
                g_currentMission.environment.currentHour = 8;
            elseif g_currentMission.environment.currentHour >= 7 and g_currentMission.environment.currentHour < 22 then
                -- force to closed hours
                g_currentMission.environment.currentHour = 23;
            end;
        else
            -- 0 hour wrap
            if g_currentMission.environment.currentHour >= openingHour or g_currentMission.environment.currentHour < closingHour then
                -- force to open hours
                g_currentMission.environment.currentHour = 8;
            elseif g_currentMission.environment.currentHour >= 7 and g_currentMission.environment.currentHour < 22 then
                -- force to closed hours
                g_currentMission.environment.currentHour = 23;
            end;
        end;

        SkiResortManager_update(self, dt);

        -- reset current hour
        g_currentMission.environment.currentHour = currentHour;
    else
        SkiResortManager_update(self, dt);
    end;
end;